Package com.databricks.jdbc.dbclient.impl.common

## Class MetadataResultSetBuilder

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.common.MetadataResultSetBuilder

    public class MetadataResultSetBuilder
    extends Object

### Constructor Summary

Constructors
`MetadataResultSetBuilder​(IDatabricksConnectionContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DatabricksResultSet` `getCatalogsResult​(ResultSet resultSet)`
`DatabricksResultSet` `getCatalogsResult​(List<List<Object>> rows)`
`DatabricksResultSet` `getColumnsResult​(ResultSet resultSet)`
`DatabricksResultSet` `getColumnsResult​(List<List<Object>> rows)`
`DatabricksResultSet` `getCrossReferenceKeysResult​(ResultSet resultSet, String targetParentCatalogName, String targetParentNamespaceName, String targetParentTableName)`
`DatabricksResultSet` `getCrossRefsResult​(List<List<Object>> rows)`
`DatabricksResultSet` `getExportedKeys​(List<List<Object>> rows)`
`DatabricksResultSet` `getFunctionsResult​(String catalog, List<List<Object>> rows)`
`DatabricksResultSet` `getFunctionsResult​(ResultSet resultSet, String catalog)`
`DatabricksResultSet` `getImportedKeys​(List<List<Object>> rows)`
`DatabricksResultSet` `getImportedKeysResult​(ResultSet resultSet)`
`DatabricksResultSet` `getPrimaryKeysResult​(ResultSet resultSet)`
`DatabricksResultSet` `getPrimaryKeysResult​(List<List<Object>> rows)`
`DatabricksResultSet` `getResultSetWithGivenRowsAndColumns​(List<ResultColumn> columns, List<List<Object>> rows, String statementId, CommandName commandName)`
`DatabricksResultSet` `getSchemasResult​(ResultSet resultSet, String catalog)`
`DatabricksResultSet` `getSchemasResult​(List<List<Object>> rows)`
`DatabricksResultSet` `getTablesResult​(String catalog, String[] tableTypes, List<List<Object>> rows)`
`DatabricksResultSet` `getTablesResult​(ResultSet resultSet, String[] tableTypes)`
`DatabricksResultSet` `getTableTypesResult()`
`String` `stripBaseTypeName​(String typeName)`
`String` `stripTypeName​(String typeName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataResultSetBuilder

    public MetadataResultSetBuilder​(IDatabricksConnectionContext ctx)

### Method Detail

#### getFunctionsResult

    public DatabricksResultSet getFunctionsResult​(ResultSet resultSet,
                                                  String catalog)
                                           throws SQLException

Throws:
  `SQLException`

#### getColumnsResult

    public DatabricksResultSet getColumnsResult​(ResultSet resultSet)
                                         throws SQLException

Throws:
  `SQLException`

#### getCatalogsResult

    public DatabricksResultSet getCatalogsResult​(ResultSet resultSet)
                                          throws SQLException

Throws:
  `SQLException`

#### getSchemasResult

    public DatabricksResultSet getSchemasResult​(ResultSet resultSet,
                                                String catalog)
                                         throws SQLException

Throws:
  `SQLException`

#### getTablesResult

    public DatabricksResultSet getTablesResult​(ResultSet resultSet,
                                               String[] tableTypes)
                                        throws SQLException

Throws:
  `SQLException`

#### getTableTypesResult

    public DatabricksResultSet getTableTypesResult()

#### getPrimaryKeysResult

    public DatabricksResultSet getPrimaryKeysResult​(ResultSet resultSet)
                                             throws SQLException

Throws:
  `SQLException`

#### getImportedKeysResult

    public DatabricksResultSet getImportedKeysResult​(ResultSet resultSet)
                                              throws SQLException

Throws:
  `SQLException`

#### getCrossReferenceKeysResult

    public DatabricksResultSet getCrossReferenceKeysResult​(ResultSet resultSet,
                                                           String targetParentCatalogName,
                                                           String targetParentNamespaceName,
                                                           String targetParentTableName)
                                                    throws SQLException

Throws:
  `SQLException`

#### stripTypeName

    public String stripTypeName​(String typeName)

#### stripBaseTypeName

    public String stripBaseTypeName​(String typeName)

#### getCatalogsResult

    public DatabricksResultSet getCatalogsResult​(List<List<Object>> rows)

#### getSchemasResult

    public DatabricksResultSet getSchemasResult​(List<List<Object>> rows)

#### getCrossRefsResult

    public DatabricksResultSet getCrossRefsResult​(List<List<Object>> rows)

#### getImportedKeys

    public DatabricksResultSet getImportedKeys​(List<List<Object>> rows)

#### getExportedKeys

    public DatabricksResultSet getExportedKeys​(List<List<Object>> rows)

#### getResultSetWithGivenRowsAndColumns

    public DatabricksResultSet getResultSetWithGivenRowsAndColumns​(List<ResultColumn> columns,
                                                                   List<List<Object>> rows,
                                                                   String statementId,
                                                                   CommandName commandName)

#### getTablesResult

    public DatabricksResultSet getTablesResult​(String catalog,
                                               String[] tableTypes,
                                               List<List<Object>> rows)

#### getColumnsResult

    public DatabricksResultSet getColumnsResult​(List<List<Object>> rows)

#### getPrimaryKeysResult

    public DatabricksResultSet getPrimaryKeysResult​(List<List<Object>> rows)

#### getFunctionsResult

    public DatabricksResultSet getFunctionsResult​(String catalog,
                                                  List<List<Object>> rows)